package properties;

public class Token {
    public final boolean isEOF;
    
    public Token(int type, String text, int startLine, int startColumn, int endLine, int endColumn) {
        isEOF = type == TokenNames.EOF;
        System.out.println(type + "\t" + startLine + "\t" + startColumn + "\t" + endLine + "\t" + endColumn + "\t" + text);
    }
}
